/* Theme Name:   LMS-ALT
Template:     twentytwentyfive
Version:      0.0.12
Text Domain:  LMS */



/*  fonts */


@font-face {
    font-family: 'BC Sans';
    src: url('/wp-content/themes/NMTC/fonts/BcSansFont_Web/2023_01_01_BCSans-Regular_2f.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'BC Sans';
    src: url('/wp-content/themes/NMTC/fonts/BcSansFont_Web/2023_01_01_BCSans-Bold_2f.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'BC Sans';
    src: url('/wp-content/themes/NMTC/fonts/BcSansFont_Web/2023_03_14_BCSans-Light_2g.woff2') format('woff2');
    font-weight: 100;
    font-style: normal;
}

@font-face {
    font-family: 'BC Sans';
    src: url('/wp-content/themes/NMTC/fonts/BcSansFont_Web/2023_01_01_BCSans-Italic_2f.woff2') format('woff2');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'BC Sans';
    src: url('/wp-content/themes/NMTC/fonts/BcSansFont_Web/2023_01_01_BCSans-BoldItalic_2f.woff2') format('woff2');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'BC Sans';
    src: url('/wp-content/themes/NMTC/fonts/BcSansFont_Web/2023_01_01_BCSans-LightItalic_2f.woff2') format('woff2');
    font-weight: 100;
    font-style: italic;
}

body,
.bc-sans {
    font-family: 'BC Sans', sans-serif;
}

/* Global */


:focus
 {
  outline: none !important;
}


/*Menu*/

/*Logged out nav*/
body:not(.logged-in) .dashboard-menu {
    display: none !important;
}

/*Logged in*/
.logged-in .sign-in-menu{
    display:none !important;
}

.logged-in .enroll-btn{
    display:none;
}


.enroll-btn a:hover{
    background:black !important;
    color:white !important;
}



/* Home page */

.llms-loop-item  .llms-author{
	display:none !important;
}

.llms-loop-item-content p.more-link{
	margin-left:0;
}


.llms-featured-image{
	object-fit: cover;
	filter: brightness(80%);
}


@media (min-width: 768px){
    .llms-featured-image {
    object-fit: cover;
    height: 250px !important;
    width:100%;
}
}


/* Course Templates */

.course-banner{
	/*background-position: center 30% !important;*/
}

.course-template .wp-block-buttons{
	display: inline-block;
}


.course-template .llms-syllabus-wrapper {
    margin-top: 40px;
}

.course-banner img.wp-block-cover__image-background {
   object-position: center 80% !important;
}


.course-template .wp-element-button:hover{
	background: #783C3C;
}

.course-template .entry-content{
   margin-bottom:0px !important;
}

.home-btn a{
  padding: 14px 40px;
  border-radius:30px;
  background: #e3b65a !important;
  color:black;
}

.home-btn a:hover{
    background:black !important;
    color:white;
}

.next-module-btn a{
	padding:8px 15px;
}

.next-module-btn a:hover{

	/*border:3px solid #783C3C;*/
}

/* Lessons */

/*Hide Nav buttons for lessons*/

.llms-course-navigation{
    display:none;
}

.llms-lesson-button-wrapper{
    margin-top:30px;
	/*padding:0;*/
	background:transparent;
    color:black !important;
	font-weight: 400;
	text-align:left;
}

.llms-lesson-button-wrapper button{
    background:#e3b65a !important;
	color:black !important;
	text-transform:uppercase;
}

.llms-lesson-button-wrapper button:hover{
    background: #783C3C !important;
}



.llms-course-nav.llms-prev-lesson , .llms-course-nav.llms-next-lesson {
	border:1px solid;
}


.llms-lesson-preview .llms-lesson-link{
    padding:0;
}


.llms-course-navigation .llms-lesson-link .llms-lesson-title{
	font-weight:300;

}



/*Custom Accordion + Checkbox Area*/

.llms-syllabus-wrapper .llms-section-title:first-child {
    border-top: none;
    padding-top:15px;
}

.llms-syllabus-wrapper .llms-section-title{
    font-size:18px;
    margin: 20px 0 10px;
    border-top:1px solid #00000012;
    padding-top:25px;
    padding-left:15px;
}



.llms-syllabus-wrapper .llms-section-title:last-of-type {
   padding-bottom:12px;
}

.course-template .llms-syllabus-wrapper .llms-section-title:last-of-type {
    padding-bottom: inherit;
}

.course-template .llms-syllabus-wrapper .llms-section-title{
   font-weight: 600;
   padding-left:20px;
}


.course-template .llms-syllabus-wrapper > div:last-child {
  padding-bottom:20px;
}



.toggle-content {
    display: block;
}
.toggle-content:not(.active) {
    display: none;
}


.toggle-section:not(.active) .toggle-icon {
    transform: rotate(-90deg); 
}

/* Section header (toggle) styling */
.toggle-section {
    cursor: pointer;
    display: flex;
    justify-content: space-between; 
    align-items: center;
    font-weight: 600;
    /*margin-bottom: 8px;*/
    padding: 5px 10px;
    transition: background 0.2s;  
}

.llms-lesson-preview{
    border:none;
    
}

.current-lesson .llms-lesson-preview-row {
    background-color: whitesmoke;
    border-left: 4px solid #386984;
  
}

.llms-lesson-preview .llms-lesson-title{
    font-weight:300;
    font-size:17px;
}


.llms-syllabus-wrapper {
    border-radius: 15px;
    border: 1px solid #00000012;
    overflow: hidden;
}


.llms-syllabus-wrapper .llms-lesson-meta{
    display:none;
}

.llms-syllabus-wrapper h3{
    padding-top:0;

}

.llms-syllabus-wrapper .llms-lesson-preview-row{
    padding:15px;
}



.llms-lesson-title{
    text-decoration: none !important;
}

.llms-title-row {
    display: flex;
    align-items: center;
    gap: 10px;
}

.llms-title-row .llms-checkbox input[type="checkbox"] {
    width: 14px;
    height: 14px;
    position: absolute;
    top: 17px;
    left:10px;
}




.llms-title-row .llms-lesson-title {
    flex: 1;
    margin: 0;
    padding-left:20px;
}

.llms-title-row .llms-lesson-counter {
    white-space: nowrap;
    font-size:14px;
}

.llms-meta.llms-lessons-count{
    padding: 0px 0px 0px 25px;
}



/* Toggle icon styling */
.toggle-icon {
    font-weight: bold;
    font-size: 22px; /* make icon larger */
}




/* Progress bars */

.llms-progress .progress-bar-complete{
	background:#783C3C;
}


/*Purchase Page*/

.purchase-page .lifterlms , .purchase-page .wp-block-post-title{
    min-width: 70%;
}


/* Dashboard */

/*Hide memberships in dashboard*/


.dashboard-page .llms-my-memberships{
    display:none;
}


.dashboard-page main{
   margin-top:0px !important;
}


.dashboard-page .llms-sd-section.llms-my-courses .llms-button-secondary{
    display:none !important;
}


.dashboard-page .learn-more{
    display:none;
}

/*Sidebar styling*/

.dashboard-page .llms-sd-link {
    border-right: none;
    text-decoration: none;
    font-size: 19px;
    padding: 13px 0px 10px 15px !important;
}

.dashboard-page .llms-sd-link:hover {
    background:whitesmoke;
}


/* Default (not current) */
.dashboard-page .llms-sd-items li:not(.current) {
    border-right: 5px solid #00000012;
}

/* Current */
.dashboard-page .llms-sd-items li.current {
    background: #efefef;
    border-right: 5px solid #949494 !important;
}

/* Hover for non-current only */
.dashboard-page .llms-sd-items li:not(.current):hover {
    border-right: 5px solid #949494;
    
}



.dashboard-page .lifterlms{
   min-width: 90%;
} 


.dashboard-page .llms-enroll-status , .dashboard-page .llms-enroll-date{
    padding:0px 25px;
}


.dashboard-page .llms-sd-section-footer{
   text-align: left;
}



.llms-student-dashboard button , .llms-form-fields .type-submit button{
    background:#E3B65A !important;
    border-radius:30px;
    font-weight:normal;
    color:black;
}


.llms-form-fields .type-submit button:hover{
    background:black !important;
    color:white;
}


.dashboard-page .wp-block-post-title{
    display:none;
}

.dashboard-page .llms-sd-header h2{
    font-size:50px !important;
    margin-top: 0;
    margin-bottom:0;
}



.dashboard-page .llms-sd-notification-center{
    border:none;
}

.llms-student-dashboard.dashboard .llms-sd-section{
    border:none;
}


/*Progress bar and lesson blocks*/

.llms-progress{
    width:90%;
    margin:auto !important;
    margin-top:30px !important;
    margin-bottom:20px !important;
}

.llms-progress .progress__indicator {
    display: block !important;
    color:#bdbdbd;
    font-size:18px;
    top: 2px;
    position: relative;
}

.llms-progress .llms-progress-bar {
   
    position: relative;
    height: 20px;
    top: .3em;
    width: 100%;
    border-radius:30px;
}


.progress-bar-complete{
    border-radius: 30px;
     background-color: #dedede;
}


.llms-loop-list.cols-3 .llms-loop-item{
    box-shadow: 0 20px 30px 0 #0000001a;
   border-radius: 20px !important;
    border: none;
}


.llms-loop-item-content .llms-loop-title {
    color: #010101;
    margin: 15px 10px;
    font-size: 22px;
    font-weight: 700;
    padding-top: 17px !important;
    padding-bottom: 5px !important;
 
}


.llms-loop-item-content{
    border-radius: 20px !important;
}


.learn-more{
    padding: 0 25px;
    padding-top:12px;
    border-top:1px solid #dedede;
    font-size: 18px;
    font-weight: 600;
    text-decoration: underline;
    margin-top: 20px;
    margin-bottom:20px;
}


/*Lesson Template*/


.single-lesson .llms-form-field{
    padding-left:0px;
}

.single-lesson .wp-block-post-title{
   font-weight: 700;
    margin-bottom: 20px !important;
}

.single-lesson .entry-content p{
    margin-bottom:20px;
}


/*Sign up*/

.llms-notice {
    border:1px solid black;
    background: #E3B65A;

}


.llms-checkout-confirm .type-html , .llms-checkout-confirm .type-html p{
    margin:0 !important;
}


.llms-checkout-wrapper .llms-checkout-section.order-summary{
   display:none;
}

/*PW Meter*/

.llms-form-field .llms-description{
    color:black;
}


/*Certificate Template*/

.llms-certificate-container * {
   font-family: 'BC Sans', sans-serif; 
}

.llms_certificate-template-default h1 , .llms_my_certificate-template-default h1{
   font-weight:400;
   font-style:italic; 
}

/*Certificate print*/

.llms-print-certificate .llms-button-secondary{
  line-height:1.1 !important;
  padding:20px;
  background:#E3B65A;
}


.llms-student-dashboard .llms-sd-section .llms-sd-section-footer a.llms-button-secondary{
    background:black;
    color:white;
}



.TTSPlugin-Playback-buttons-bar>span{
    padding:0px !important;
}

.TTSPlugin .Play-btn {

    height: 58px !important;
    width: 61px !important;
    padding: 0px !important;
}


/* Hide TTSPlugin everywhere except lesson pages */
/*body:not(.lesson-template-default) .TTSPlugin {*/
/*    display: none !important;*/
/*}*/


body:not(.single) .TTSPlugin, .course-template .TTSPlugin , .course-template-default .TTSPlugin , .llms_my_certificate-template-default .TTSPlugin {
    display: none !important;
}



.TTSPlugin-Playback-buttons-bar>span , .TTSPlugin .Play-btn{
    background-color: #783C3C !important;
    border: 2px solid white !important;
}



@media only screen and (max-width: 500px) {

.next-module-btn a , .home-btn a {
  font-size:14px !important;

}

}